---------------------- MODULE HourClock ----------------------
EXTENDS Naturals
VARIABLE hr

HCini   == hr \in (0 .. 23)
HCnxt   == hr' = IF hr = 23 THEN 0 ELSE hr + 1
HCsafe  == HCini  /\ [][HCnxt]_hr
HC      == HCsafe /\ WF_hr(HCnxt)

CourseEnds == <>(hr = 10)
HClive  == \A h \in 0..23 : []<>(hr=h)
--------------------------------------------------------------
THEOREM  HCsafe => []HCini
THEOREM  HC => HClive
==============================================================
